package com.dcsoft.system.kq.domain;

import java.util.Date;

import com.dcsoft.common.core.web.domain.BaseEntity;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.dcsoft.common.core.annotation.Excel;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 出勤调整对象 kq_adjust
 *
 * @author nichun
 * @date 2023-06-09
 */
public class KqAdjust extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 调整id */
    private Long adjustId;

    /** 申请单号 */
    //@Excel(name = "申请单号",sort = 1)
    private String code;

    /** 申请人 */
    private Long userId;

    /** 申请人 */
    @Excel(name = "申请人",sort = 3)
    private String userName;

    /** 所属部门 */
    private String deptId;

    /** 所属部门 */
    @Excel(name = "所属部门",sort = 2)
    private String deptName;

    /** 开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "开始时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss",sort = 4)
    private Date startTime;

    /** 结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "结束时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss",sort = 5)
    private Date endTime;

    /** 调整类型 */
    @Excel(name = "调整类型",sort = 6,readConverterExp = "0=病假,1=事假,2=调休,3=年假,4=婚假,5=补卡,6=加班")
    private String type;

    /** 调整原因 */
    @Excel(name = "调整原因",sort = 8)
    private String reason;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;


    @Excel(name = "请假天数",sort = 7)
    private  Double days;

    /**
     * 组名称
     */
    private String groupName;

    /**
     * 上班时间
     */
    private String up;

    /**
     * 下班时间
     */
    private String down;

    /**
     * 组id
     */
    private Long groupId;

    /**
     * 班次id
     */
    private Long classesId;

    /**
     * 打卡次数
     */
    private String classesNum;

    /**
     * 工时
     */
    private String classesLong;

    /**
     * 补卡时间点
     */
    private String checkInPoint;

    public String getCheckInPoint() {
        return checkInPoint;
    }

    public void setCheckInPoint(String checkInPoint) {
        this.checkInPoint = checkInPoint;
    }

    public String getClassesLong() {
        return classesLong;
    }

    public void setClassesLong(String classesLong) {
        this.classesLong = classesLong;
    }

    public String getClassesNum() {
        return classesNum;
    }

    public void setClassesNum(String classesNum) {
        this.classesNum = classesNum;
    }

    public Long getClassesId() {
        return classesId;
    }

    public void setClassesId(Long classesId) {
        this.classesId = classesId;
    }

    public Long getGroupId() {
        return groupId;
    }

    public void setGroupId(Long groupId) {
        this.groupId = groupId;
    }

    public String getDown() {
        return down;
    }

    public void setDown(String down) {
        this.down = down;
    }

    public String getUp() {
        return up;
    }

    public void setUp(String up) {
        this.up = up;
    }

    public String getGroupName() {
        return groupName;
    }

    public void setGroupName(String groupName) {
        this.groupName = groupName;
    }

    public Double getDays() {
        return days;
    }

    public void setDays(Double days) {
        this.days = days;
    }

    public void setAdjustId(Long adjustId)
    {
        this.adjustId = adjustId;
    }

    public Long getAdjustId()
    {
        return adjustId;
    }
    public void setCode(String code)
    {
        this.code = code;
    }

    public String getCode()
    {
        return code;
    }
    public void setUserId(Long userId)
    {
        this.userId = userId;
    }

    public Long getUserId()
    {
        return userId;
    }

    public void setDeptId(String deptId)
    {
        this.deptId = deptId;
    }

    public String getDeptId()
    {
        return deptId;
    }
    public void setStartTime(Date startTime)
    {
        this.startTime = startTime;
    }

    public Date getStartTime()
    {
        return startTime;
    }
    public void setEndTime(Date endTime)
    {
        this.endTime = endTime;
    }

    public Date getEndTime()
    {
        return endTime;
    }
    public void setType(String type)
    {
        this.type = type;
    }

    public String getType()
    {
        return type;
    }
    public void setReason(String reason)
    {
        this.reason = reason;
    }

    public String getReason()
    {
        return reason;
    }
    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag()
    {
        return delFlag;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }



    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("adjustId", getAdjustId())
            .append("code", getCode())
            .append("userId", getUserId())
            .append("deptId", getDeptId())
            .append("startTime", getStartTime())
            .append("endTime", getEndTime())
            .append("type", getType())
            .append("reason", getReason())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
